{
    attributes = (
        {
            columnName = "C_GRADE"; 
            externalType = VARCHAR2; 
            name = cGrade; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "C_GRADE_TG"; 
            externalType = VARCHAR2; 
            name = cGradeTg; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_FERMETURE"; 
            externalType = DATE; 
            name = dateFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_OUVERTURE"; 
            externalType = DATE; 
            name = dateOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            definition = "grade.lcGrade"; 
            externalType = VARCHAR2; 
            name = "grade_lcGrade"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            definition = "grade.llGrade"; 
            externalType = VARCHAR2; 
            isReadOnly = Y; 
            name = "grade_llGrade"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cGrade, cGradeTg); 
    className = "org.cocktail.kaki.server.metier.EOLienGradeMenTg"; 
    classProperties = (
        dateOuverture, 
        dateFermeture, 
        cGrade, 
        cGradeTg, 
        grade, 
        "grade_llGrade", 
        "grade_lcGrade", 
        libelle
    ); 
    externalName = "GRHUM.LIEN_GRADE_MEN_TG"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dateOuverture, 
            dateFermeture, 
            cGrade, 
            cGradeTg, 
            grade, 
            "grade_llGrade", 
            "grade_lcGrade", 
            libelle
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOLienGradeMenTg"; 
    }; 
    name = LienGradeMenTg; 
    primaryKeyAttributes = (cGradeTg, cGrade); 
    relationships = (
        {
            destination = Grade; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cGrade; sourceAttribute = cGrade; }); 
            name = grade; 
        }
    ); 
}
